com.jscape.inet.gateway.port.web

## Class WebApiClient.ServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.jscape.inet.gateway.port.web.WebApiClient.OperationException
        - - com.jscape.inet.gateway.port.web.WebApiClient.ServerException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    WebApiClient

      public static class WebApiClient.ServerException
      extends WebApiClient.OperationException

  Represents a server-side error.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ErrorCode` | `code` An error code.
    `java.lang.String` | `description` An error description.
    `java.lang.String` | `details` An error details.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerException(ErrorCode code, java.lang.String description, java.lang.String details)`

  - ### Method Summary

    - ### Methods inherited from class com.jscape.inet.gateway.port.web.WebApiClient.OperationException

      `wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### code

          public final ErrorCode code

      An error code.

    - #### description

          public final java.lang.String description

      An error description.

    - #### details

          public final java.lang.String details

      An error details.

  - ### Constructor Detail

    - #### ServerException

          public ServerException(ErrorCode code,
                                 java.lang.String description,
                                 java.lang.String details)

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved